$(function () {
    function ValidTemp() {
        var SiteName = $("#SiteName"),
        SiteUrl = $("#SiteUrl"),
        allFields = $([])
        .add(SiteName).add(SiteUrl)
        ;
        var bValid = true;
        allFields.removeClass("ui-state-error");
        bValid = bValid && checkLength(SiteName, "网站名称", 1, 255);
        bValid = bValid && checkLength(SiteUrl, "网站地址", 1, 255);
        return bValid;
    };
    $("form").submit(function () {
        if (!ValidTemp()) {
            $(this).find("button[type=submit]").removeClass("loading").removeAttr("disabled");
            return false;
        }
    });

});